From 54eb40d3e68ba5b937c06b7ac532a02071cc9d7c Mon Sep 17 00:00:00 2001
From: Uli Schlachter <psychon@znc.in>
Date: Fri, 7 Jan 2011 16:44:20 +0100
Subject: [PATCH 2/2] Include defines.h earlier

This commit moves the include for defines.h to the beginning of Csocket.h. This
is needed for projects that use a file like config.h for defining symbols like
HAVE_C_ARES and HAVE_LIBSSL.

Signed-off-by: Uli Schlachter <psychon@znc.in>
---
 Csocket.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/Csocket.h b/Csocket.h
index 8849dac..25d46eb 100644
--- a/Csocket.h
+++ b/Csocket.h
@@ -34,6 +34,8 @@
 
 #ifndef _HAS_CSOCKET_
 #define _HAS_CSOCKET_
+#include "defines.h" // require this as a general rule, most projects have a defines.h or the like
+
 #include <stdio.h>
 #include <unistd.h>
 #include <sys/time.h>
@@ -90,8 +92,6 @@
 #include <set>
 #include <map>
 
-#include "defines.h" // require this as a general rule, most projects have a defines.h or the like
-
 #ifndef CS_STRING
 #	ifdef _HAS_CSTRING_
 #		define CS_STRING Cstring
-- 
1.7.2.3

